Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.common
Class ServiceConnectionFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.slide.common.SlideException
                  org.apache.slide.common.ServiceConnectionFailedException

All Implemented Interfaces:
  java.io.Serializable

public class ServiceConnectionFailedException
extends SlideException

Service connection failed.

Version:
  $Revision: 1.6 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`ServiceConnectionFailedException(Service service, java.lang.Exception e)` Constructor.
`ServiceConnectionFailedException(Service service, java.lang.String cause)` Constructor.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceConnectionFailedException

    public ServiceConnectionFailedException(Service service,
                                            java.lang.String cause)

  Constructor.

Parameters:
  `service` - Service from which the exception was thrown
  `cause` - Cause of the exception

### ServiceConnectionFailedException

    public ServiceConnectionFailedException(Service service,
                                            java.lang.Exception e)

  Constructor.

Parameters:
  `service` - Service from which the exception was thrown
  `e` - Exception which is the initial cause of the problem

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD